package com.zanxiang.game.module.manage.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zanxiang.game.module.manage.service.IGameSupperService;
import com.zanxiang.game.module.mybatis.entity.GameSupper;
import com.zanxiang.game.module.mybatis.mapper.GameSupperMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.Map;
import java.util.stream.Collectors;

/**
 * @author : lingfeng
 * @time : 2023-09-12
 * @description : 超父游戏
 */
@Slf4j
@Service
public class GameSupperServiceImpl extends ServiceImpl<GameSupperMapper, GameSupper> implements IGameSupperService {

    @Override
    public Map<Long, String> getGameSupperList() {
        return super.list().stream().collect(Collectors.toMap(GameSupper::getId, GameSupper::getName));
    }
}
